#include "NeuralNetwork.hpp"

torch::Device NeuralNetworkImpl::device(torch::cuda::is_available() ? torch::kCUDA : torch::kCPU);

float NeuralNetworkImpl::entropy(torch::Tensor probabilities)
{
  float res = 0.0;
  for (unsigned int i = 0; i < probabilities.size(0); i++)
  {
    float val = probabilities[i].item<float>();
    res -= val * log(val);
  }

  return res;
}

